| Home | Libraries | People | FAQ | More

## Struct template as_one_base

boost::numeric::functional::as_one_base

## Synopsis

    // In header: <boost/accumulators/numeric/functional.hpp>

    template<typename Arg, typename EnableIf>
    struct as_one_base {
      // types
      typedef Arg                       argument_type;
      typedef remove_const< Arg >::type result_type;

      // public member functions
      remove_const< Arg >::type operator()(Arg &) const;
    };

## Description

### `as_one_base` public member functions

1.     remove_const< Arg >::type operator()(Arg &) const;